#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-DomrYiLFEfoKPrigpYbMyS
key:                  semialign-1.2.0.1-DomrYiLFEfoKPrigpYbMyS
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  b630ffa722d4b9bb014f0876339da1c0
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-DomrYiLFEfoKPrigpYbMyS
depends:
    base-4.16.4.0 containers-0.6.5.1
    hashable-1.4.4.0-Joosdm9EPsstoXhsVunPQ
    indexed-traversable-0.1.3-5HrPqrFdFDAhrEqkjeSzO
    indexed-traversable-instances-0.1.1.2-3KGSiKDTTDuDQQNeYytALD
    semigroupoids-5.3.7-6bTcTjBxMCO1vSIIvPCv4m
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg
    these-1.1.1.1-BDVHJPrfbufA6W0piP18v5 transformers-0.5.6.2
    unordered-containers-0.2.20-Hx67rce3cSdLKcnqodh5s4
    vector-0.13.1.0-9yg0eXztERcX0p96OKbL

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

